
cl_display_hud = 1
cl_drunken_cam = 0
ThirdPersonView = 0
--p_model = "objects/characters/pmodels/hero/hero.cgf"

--Input:BindCommandToKey('#Movie:StopAllCutScenes()',"F7",1);
--Input:BindCommandToKey("\\SkipCutScene","F7",1);

-- Developer Cheat keys ---

--- non standard key bindings ---
-- Please NEWER use F9,F10 keys (reserved for debug purposes) (Vlad)

--Input:BindCommandToKey("#SwitchCameraMode()","f1",1);
-- Input:BindCommandToKey("#r_GetScreenShot=1","f12",1); -- this is now bindable
--Input:BindCommandToKey("#ToggleAIInfo()","f11",1);

--Input:BindCommandToKey("#ToggleScreenshotMode()","f11",1);

--Input:BindCommandToKey("#ToggleNewDesignerMode(10,15,0)","f4",1);

-- to be removed
--Input:BindCommandToKey("#GotoNextSpawnpoint()","f2",1);
--Input:BindCommandToKey("#MoreAmmo()","o",1);
--Input:BindCommandToKey("#AllWeapons()","p",1);
--Input:BindAction("SAVEPOS", "f9", "default");
--Input:BindAction("LOADPOS", "f10", "default");
--Input:BindCommandToKey("#ToggleNewDesignerMode(40,120,1)","f3",1);
--Input:BindCommandToKey("#System:ShowDebugger();", "f8", 1);

-- to be removed

-- removed
--Input:BindCommandToKey("#Game.Save()","f5",1);
--Input:BindCommandToKey("#Game.Load()","f6",1);
--Input:BindCommandToKey("#DefaultSpeed()","f5",1);
--Input:BindCommandToKey("#DecreseSpeed()","-",1);
--Input:BindCommandToKey("#IncreseSpeed()","=",1);
--Input:BindCommandToKey("#p_single_step_mode=1-p_single_step_mode","[",1);
--Input:BindCommandToKey("#p_do_step=1","]",1);
--Input:BindCommandToKey("#TCM()",".",1);
--Input:BindCommandToKey("#e_hires_screenshoot=4","f10",1);
-- removed


--- temp variables for functions below ---
prev_speed_walk=p_speed_walk;
prev_speed_run=p_speed_run;

prev_speed_walk2=p_speed_walk;
prev_speed_run2=p_speed_run;

default_speed_walk=p_speed_walk;
default_speed_run=p_speed_run;

screenshotmode=0;


function ToggleAIInfo()
	
	
end

function GotoNextSpawnpoint()

	
end

function SetPlayerPos()
	
end

-- replacement for ToggleSuperDesignerMode() and ToggleDesignerMode()
--
-- USAGE:
--  deactivate designer mode: (nil,nil,0)
--  old super designer mode (with collision): (40,120,1)
--  old designer mode (without collision): (10,15,0)
--  change values: call with (nil,nil,0) then with the new values (0.., 0.., 0/1)
--
function ToggleNewDesignerMode( speedwalk, speedrun, withcollide )

end

function ToggleScreenshotMode()

end



function DecreseSpeed()

end

function IncreseSpeed()

	
end

function DefaultSpeed()

end

function TeleportToSpawn(n)
	
end


-- Give the player the passed weapon, load it if neccesary
function AddWeapon(Name)

	
end


function MoreAmmo()

	
end

function AllWeapons()

end
